Bug 49683 - FILEOPEN property Keyword (File>Properties ..> Description) no longer imported in rtf document
Summary: FILEOPEN property Keyword (File>Properties ..> Description) no longer importe...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta0
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.4 target:6.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-09 04:38 UTC by Cor Nouws
Modified: 2018-04-07 17:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file with proterty Keyword (10.75 KB, application/rtf)
2012-05-09 04:38 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-05-09 04:38:06 UTC
Created attachment 61276 [details]
test file with proterty Keyword

attached file, from old version, but saved in 3.4.x, has a property keyword, (value "bhavb")

Opening the file in 3.5.x, the field Keyword is empty
Comment 1 Cor Nouws 2012-05-09 04:39:21 UTC
regression,
(& of course still a problem in master)
Comment 2 Not Assigned 2012-05-09 05:51:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=831b712d3da08f0050d2ee92c384ad8e6a2e461c

fdo#49683 implement RTF_KEYWORDS
Comment 3 Miklos Vajna 2012-05-09 06:16:30 UTC
Fixed in master, will request cherry-pick to -3-5 later.
Comment 4 Not Assigned 2012-05-14 05:58:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f644f31c8edf3e39b23d8cc4d4b484cca8e99910&g=libreoffice-3-5

fdo#49683 implement RTF_KEYWORDS


It will be available in LibreOffice 3.5.4.
Comment 5 Commit Notification 2018-04-07 17:24:06 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cff17a62d16f295284cdb17040a03b176ca7cf0

uitest - writer Document properties; tdf#49683; tdf#81457

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.